import React, { FC } from 'react';
import { ScrollSync } from 'react-window';
import { CommonProp } from '../../interface/common_prop';
import './cursor.less';
export type CursorProps = CommonProp & {
    scrollLeft: number;
    setCursor: (param: {
        left?: number;
        time?: number;
    }) => boolean;
    areaRef: React.MutableRefObject<HTMLDivElement>;
    deltaScrollLeft: (delta: number) => void;
    scrollSync: React.MutableRefObject<ScrollSync>;
};
export declare const Cursor: FC<CursorProps>;
