import React from 'react';
import { OnScrollParams } from 'react-window';
import { TimelineRow } from '../../interface/action';
import { CommonProp } from '../../interface/common_prop';
import './edit_area.less';
export type EditAreaProps = CommonProp & {
    scrollLeft: number;
    scrollTop: number;
    onScroll: (params: OnScrollParams) => void;
    setEditorData: (params: TimelineRow[]) => void;
    deltaScrollLeft: (scrollLeft: number) => void;
};
export interface EditAreaState {
    domRef: React.MutableRefObject<HTMLDivElement>;
}
export declare const EditArea: React.ForwardRefExoticComponent<CommonProp & {
    scrollLeft: number;
    scrollTop: number;
    onScroll: (params: OnScrollParams) => void;
    setEditorData: (params: TimelineRow[]) => void;
    deltaScrollLeft: (scrollLeft: number) => void;
} & React.RefAttributes<EditAreaState>>;
