import { FC } from 'react';
import { OnScrollParams } from 'react-window';
import { CommonProp } from '../../interface/common_prop';
import './time_area.less';
export type TimeAreaProps = CommonProp & {
    scrollLeft: number;
    onScroll: (params: OnScrollParams) => void;
    setCursor: (param: {
        left?: number;
        time?: number;
    }) => void;
};
export declare const TimeArea: FC<TimeAreaProps>;
