/**
 * 动作的基本参数
 * @export
 * @interface TimelineAction
 */
export interface TimelineAction {
    id: string;
    start: number;
    end: number;
    effectId: string;
    selected?: boolean;
    flexible?: boolean;
    movable?: boolean;
    disable?: boolean;
    minStart?: number;
    maxEnd?: number;
}
/**
 * 动作行基本参数
 * @export
 * @interface TimelineRow
 */
export interface TimelineRow {
    id: string;
    actions: TimelineAction[];
    rowHeight?: number;
    selected?: boolean;
    classNames?: string[];
}
