import { TimelineAction, TimelineRow } from "../interface/action";
export declare function parserTimeToPixel(data: number, param: {
    startLeft: number;
    scale: number;
    scaleWidth: number;
}): number;
export declare function parserPixelToTime(data: number, param: {
    startLeft: number;
    scale: number;
    scaleWidth: number;
}): number;
export declare function parserTransformToTime(data: {
    left: number;
    width: number;
}, param: {
    startLeft: number;
    scale: number;
    scaleWidth: number;
}): {
    start: number;
    end: number;
};
export declare function parserTimeToTransform(data: {
    start: number;
    end: number;
}, param: {
    startLeft: number;
    scale: number;
    scaleWidth: number;
}): {
    left: number;
    width: number;
};
export declare function getScaleCountByRows(data: TimelineRow[], param: {
    scale: number;
}): number;
export declare function getScaleCountByPixel(data: number, param: {
    startLeft: number;
    scaleWidth: number;
    scaleCount: number;
}): number;
export declare function parserActionsToPositions(actions: TimelineAction[], param: {
    startLeft: number;
    scale: number;
    scaleWidth: number;
}): number[];
